MimeType (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mime
[Groovy] Class MimeType

    java.lang.Object
      org.codehaus.groovy.grails.web.mime.MimeType

    @groovy.transform.CompileStatic
    class MimeType
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary
`static MimeType` | `ALL`
`static MimeType` | `ATOM_XML`
`static java.lang.String` | `BEAN_NAME` The bean name used to store the mime type definitions
`static MimeType` | `FORM`
`static MimeType` | `HAL_JSON`
`static MimeType` | `HAL_XML`
`static MimeType` | `HTML`
`static MimeType` | `JSON`
`static MimeType` | `MULTIPART_FORM`
`static java.lang.String` | `QUALITY_RATING`
`static MimeType` | `TEXT_JSON`
`static MimeType` | `TEXT_XML`
`static MimeType` | `XHTML`
`static MimeType` | `XML`

Property Summary
`java.lang.String` | `extension`
`java.lang.String` | `name`
`java.util.Map` | `parameters`

Constructor Summary
`MimeType(java.lang.String name, java.util.Map params = [:])`
`MimeType(java.lang.String name, java.lang.String extension, java.util.Map params = [:])`

Method Summary
`static MimeType[]` | `createDefaults()` Creates the default MimeType configuration if none exists in Config.groovy
`boolean` | `equals(java.lang.Object o)`
`static MimeType[]` | `getConfiguredMimeTypes()` @return An array of MimeTypes
`java.lang.String` | `getQuality()` @return The quality of the Mime type
`java.lang.String` | `getVersion()` @return The version of the Mime type
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ALL

    public static final MimeType ALL

### ATOM_XML

    public static final MimeType ATOM_XML

### BEAN_NAME

    public static final java.lang.String BEAN_NAME

  The bean name used to store the mime type definitions

### FORM

    public static final MimeType FORM

### HAL_JSON

    public static final MimeType HAL_JSON

### HAL_XML

    public static final MimeType HAL_XML

### HTML

    public static final MimeType HTML

### JSON

    public static final MimeType JSON

### MULTIPART_FORM

    public static final MimeType MULTIPART_FORM

### QUALITY_RATING

    public static final java.lang.String QUALITY_RATING

### TEXT_JSON

    public static final MimeType TEXT_JSON

### TEXT_XML

    public static final MimeType TEXT_XML

### XHTML

    public static final MimeType XHTML

### XML

    public static final MimeType XML

Property Detail

### extension

    java.lang.String extension

### name

    java.lang.String name

### parameters

    java.util.Map parameters

Constructor Detail

### MimeType

    MimeType(java.lang.String name, java.util.Map params = [:])

### MimeType

    MimeType(java.lang.String name, java.lang.String extension, java.util.Map params = [:])

Method Detail

### createDefaults

    static MimeType[] createDefaults()

  Creates the default MimeType configuration if none exists in Config.groovy

### equals

    boolean equals(java.lang.Object o)

### getConfiguredMimeTypes

    static MimeType[] getConfiguredMimeTypes()

  Returns:
    An array of MimeTypes

### getQuality

    java.lang.String getQuality()

  Returns:
    The quality of the Mime type

### getVersion

    java.lang.String getVersion()

  Returns:
    The version of the Mime type

### hashCode

    int hashCode()

### toString

    java.lang.String toString()

Groovy Documentation